# Created by pyp2rpm-3.3.2
%global pypi_name tzwhere

Name:           python-%{pypi_name}
Version:        3.0.3
Release:        1%{?dist}
Summary:        Python library to look up timezone from lat / long offline

License:        MIT License
URL:            https://github.com/pegler/pytzwhere
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
pytzwhere [![Build Status]( [![Coverage Status]( pytzwhere is a Python library
to lookup the timezone for a given lat/lng entirely offline. Version 3.0 fixes
how pytzwhere deals with [holes]( in timezones. It is recommended that you use
version 3.0.It is a port from with a few improvements. The underlying timezone
data is based on work done by [Eric Muller](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(shapely)
%description -n python3-%{pypi_name}
pytzwhere [![Build Status]( [![Coverage Status]( pytzwhere is a Python library
to lookup the timezone for a given lat/lng entirely offline. Version 3.0 fixes
how pytzwhere deals with [holes]( in timezones. It is recommended that you use
version 3.0.It is a port from with a few improvements. The underlying timezone
data is based on work done by [Eric Muller](


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Apr 07 2020 Jakub Jelen <jjelen@redhat.com> - 3.0.3-1
- Initial package.